import { jsx } from "react/jsx-runtime";
import Categories from "./categories-CTT8aRvC.js";
import Courses from "./courses-73gJEypO.js";
import Instructors from "./instructors-DALv8Bem.js";
import "./table-header-CdEXSV6s.js";
import "./table-BMWNGY4o.js";
import "react";
import "./utils-DLCPGU0v.js";
import "clsx";
import "tailwind-merge";
import "@tanstack/react-table";
import "@inertiajs/react";
import "./categories-table-columns-bk9ET8-v.js";
import "./button-CdJZJLGw.js";
import "@radix-ui/react-slot";
import "class-variance-authority";
import "lucide-react";
import "./table-filter-D2AY2_hd.js";
import "./table-page-size-CF314lUl.js";
import "./dropdown-menu-msun3TP8.js";
import "@radix-ui/react-dropdown-menu";
import "./route-DlE7FdTW.js";
import "./debounce-ZFxqVthq.js";
import "./table-footer-BNA95q7E.js";
import "./scroll-area-CDdrLubh.js";
import "@radix-ui/react-scroll-area";
import "./courses-table-columns-N4aK9SB0.js";
import "./instructors-table-columns-COoebz3l.js";
import "./avatar-C8iCpF5R.js";
import "@radix-ui/react-avatar";
const Contents = ({ contents, section_slug, selectedIds = [], onSelectChange }) => {
  const renderField = () => {
    switch (section_slug) {
      case "hero":
      case "top_course":
      case "top_courses":
      case "new_courses":
        return /* @__PURE__ */ jsx(Courses, { courses: contents, selectedIds, onCourseSelect: onSelectChange });
      case "top_categories":
      case "category_courses":
        return /* @__PURE__ */ jsx(Categories, { categories: contents, selectedIds, onCourseSelect: onSelectChange });
      case "top_instructors":
        return /* @__PURE__ */ jsx(Instructors, { instructors: contents, selectedIds, onCourseSelect: onSelectChange });
      case "blogs":
        return /* @__PURE__ */ jsx("h1", { children: "Blogs" });
      default:
        return null;
    }
  };
  return /* @__PURE__ */ jsx("div", { className: "rounded-md border", children: renderField() });
};
export {
  Contents as default
};
